Voor toegang tot deze pagina is autorisatie vereist. U kunt proberen de mappen te wijzigen.
Server Keys - Get
Service:
SQL Database
API-versie:
2025-01-01
Hiermee haalt u een serversleutel op.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/keys/{keyName}?api-version=2025-01-01
URI-parameters
Name
In
Vereist
Type
Description
keyName
path
True
string
De naam van de serversleutel die moet worden opgehaald.
resourceGroupName
path
True
string
minLength: 1 maxLength: 90
De naam van de resourcegroep. De naam is hoofdletterongevoelig.
serverName
path
True
string
De naam van de server.
subscriptionId
path
True
string
(uuid)
De id van het doelabonnement. De waarde moet een UUID zijn.
api-version
query
True
string
minLength: 1
De API-versie die voor deze bewerking moet worden gebruikt.
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901?api-version=2025-01-01
/**
* Samples for ServerKeys Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ServerKeyGet.json
*/
/**
* Sample code: Get the server key.
*
* @param manager Entry point to SqlServerManager.
*/
public static void getTheServerKey(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getServerKeys().getWithResponse("sqlcrudtest-7398", "sqlcrudtest-4645",
"someVault_someKey_01234567890123456789012345678901", com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python server_key_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.server_keys.get(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-4645",
key_name="someVault_someKey_01234567890123456789012345678901",
)
print(response)
# x-ms-original-file: 2025-01-01/ServerKeyGet.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ServerKeyGet.json
// this example is just showing the usage of "ServerKeys_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-4645";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this SqlServerKeyResource
SqlServerKeyCollection collection = sqlServer.GetSqlServerKeys();
// invoke the operation
string keyName = "someVault_someKey_01234567890123456789012345678901";
NullableResponse<SqlServerKeyResource> response = await collection.GetIfExistsAsync(keyName);
SqlServerKeyResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SqlServerKeyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey?api-version=2025-01-01
/**
* Samples for ServerKeys Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ServerKeyGetWithVersionlessKey.json
*/
/**
* Sample code: Get the server key with versionless key.
*
* @param manager Entry point to SqlServerManager.
*/
public static void getTheServerKeyWithVersionlessKey(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getServerKeys().getWithResponse("sqlcrudtest-7398", "sqlcrudtest-4645",
"someVault_someKey", com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python server_key_get_with_versionless_key.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.server_keys.get(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-4645",
key_name="someVault_someKey",
)
print(response)
# x-ms-original-file: 2025-01-01/ServerKeyGetWithVersionlessKey.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ServerKeyGetWithVersionlessKey.json
// this example is just showing the usage of "ServerKeys_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-4645";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this SqlServerKeyResource
SqlServerKeyCollection collection = sqlServer.GetSqlServerKeys();
// invoke the operation
string keyName = "someVault_someKey";
NullableResponse<SqlServerKeyResource> response = await collection.GetIfExistsAsync(keyName);
SqlServerKeyResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SqlServerKeyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"
kind
string
Soort versleutelingsbeveiliging. Dit is metadata die wordt gebruikt voor de Azure-portaalervaring.
location
string
Resourcelocatie.
name
string
De naam van de resource
properties.autoRotationEnabled
boolean
Aanmeldingsvlag voor automatische rotatie van sleutels. Waar of onwaar.
Het serversleuteltype, zoals ServiceManaged, AzureKeyVault.
properties.subregion
string
Subregio van de serversleutel.
properties.thumbprint
string
Vingerafdruk van de serversleutel.
properties.uri
string
De URI van de serversleutel. Als het ServerKeyType AzureKeyVault is, is de URI vereist. De AKV-URI moet in dit formaat zijn: 'https://YourVaultName.vault.azure.net/keys/YourKeyName/YourKeyVersion' of kan ''https://YourVaultName.vault.azure.net/keys/YourKeyName zijn